Ligne Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Line and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
FreeCAD.png
Page suivante: Filaire Draft Wire.svg Arrow-right.svg

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
0.7
Voir aussi
Filaire, Point


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points. L'outil Ligne crée une ligne droite définie par deux points. Il utilise le style de ligne défini dans la barre d’outils du tiroir. L'outil Ligne se comporte exactement comme l'outil Draft Wire , sauf qu'il s'arrête après deux points.

Draft Line example.jpg

Création d'une ligne avec deux points


Utilisation

  1. Cliquez sur le bouton Draft Line.svg Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées puis pressez le bouton Draft AddPoint.svg Ajouter un point .
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées et pressez le bouton Draft AddPoint.svg Ajouter un point.

La ligne peut être éditée en double cliquant sur l'élément dans la vue 3D, ou pressez sur le bouton Draft Edit.svg Éditer. Vous pouvez alors déplacer les points à leurs nouvelle position.

Fusionner des lignes simples

Si plusieurs lines sont connectées, vous pouvez les fusionner en un fil unique en appuyant sur l'outil Draft Upgrade.svg Draft Upgrade. Cependant, ce fil ne sera pas éditable. Pour créer un fil modifiable, utilisez Draft Upgrade.svg Draft Upgrade trois fois de plus sur les nouvelles formes (fil, fil fermé, face). Vous pouvez également fusionner les lignes d'origine avec l'outil Draft Wire.svg Draft Wire.

Un fil peut également être créé à partir d'une seule ligne en ajoutant un autre point n'importe où sur sa longueur. Pour ce faire, appuyez sur le bouton Draft AddPoint.svg ajouter un point, puis cliquez n'importe où sur la ligne.

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
    • Vous pouvez également définir les coordonnées polaires du point en donnant une valeur à "Longueur" et "Angle". Cliquez sur la case à cocher à côté de "Angle" pour contraindre le pointeur à l'angle spécifié.
    • Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accrochage du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pour contraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL + Z ou sur le bouton Draft UndoLine.png annuler pour annuler le point précédent.
  • Appuyez sur ESC pour annuler l'opération.

Propriétés

Un objet Ligne partage toutes les propriétés d'un Draft Wire, toutefois, seules certaines de ces propriétés sont applicables à la ligne.

Data

  • DONNÉESStart: Le point de départ
  • DONNÉESEnd: Le point final
  • DONNÉESSubdivisions: Divise la ligne en x lignes, donnez le nombre de coupures Disponible dans la version 0.16
  • DONNÉESLength: (lecture seule) spécifie la longueur du segment.

View

  • VUEEnd Arrow: s'il s'agit de True, un symbole apparaîtra au dernier point de la ligne afin qu'il puisse être utilisé comme une ligne d'annotation.
  • VUEArrow Size: spécifie la taille du symbole affiché à la fin de la ligne.
  • VUEArrow Type: spécifie le type de symbole affiché à la fin de la ligne, qui peut être "Dot", "Circle", "Arrow", or "Tick".

Script

See also: Draft API et FreeCAD Script de Base.

L'outil ligne peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crée une Ligne entre les points p1 et p2 chacun défini par son FreeCAD.Vector, avec les unités en millimètres.
  • Crée un objet Ligne à partir d'un Part.LineSegment.
  • Crée un objet Ligne du premier sommet au dernier sommet de la Shape donnée.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
FreeCAD.png
Page suivante: Filaire Draft Wire.svg Arrow-right.svg